NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::FreeformUnformBuilder Class Reference

Represents a NXOpen::Tooling::FreeformUnformBuilder builder. More...

Inheritance diagram for NXOpen::Tooling::FreeformUnformBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DeformBodyType { DeformBodyTypeSheetBodies, DeformBodyTypeFacetBodies }
 Represent sheet deformation type. More...
 
enum  DirectionMethodType {
  DirectionMethodTypeSameAsProjection, DirectionMethodTypeNormalToSheet, DirectionMethodTypeNormalToBase, DirectionMethodTypeNormalToControl,
  DirectionMethodTypeSpecifiedDirection, DirectionMethodTypeNone
}
 Represents the direction method type. More...
 
enum  RotationMethod { RotationMethodConstant, RotationMethodLawControlled, RotationMethodCurveDefined }
 Represents the rotation method type. More...
 
enum  RotationMethodType { RotationMethodTypeAngle, RotationMethodTypeDistance }
 Represents the rotation type. More...
 
enum  UnformTypes { UnformTypesByCurve, UnformTypesOverBend }
 The types of bend. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance
Created in NX1847.0.0. More...
 
NXOpen::SectionBaseCurve ()
 Returns the base curve
Created in NX1847.0.0. More...
 
NXOpen::SectionBendCurve ()
 Returns the bend curve
Created in NX1847.0.0. More...
 
NXOpen::ScCollectorBendFaces ()
 Returns the bend faces
Created in NX1847.0.0. More...
 
NXOpen::SectionControlCurve ()
 Returns the control curve
Created in NX1847.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX1847.0.0. More...
 
NXOpen::SectionFirstRegionLimitCurve ()
 Returns the first region limit curve
Created in NX1847.0.0. More...
 
NXOpen::ScCollectorFirstRegionOffsetCurve ()
 Returns the first region offset curve
Created in NX1847.0.0. More...
 
NXOpen::ScCollectorFirstTargetCurve ()
 Returns the first target curve
Created in NX1847.0.0. More...
 
NXOpen::ExpressionFirstTargetCurveOffset ()
 Returns the first target curve offset
Created in NX1847.0.0. More...
 
int IterationCount ()
 Returns the maximum iterations count used for approximating the deformed sheet. More...
 
bool KeepBaseLength ()
 Returns the equal arc length toggle
Created in NX1847.0.0. More...
 
bool ModifyInputSheet ()
 Returns the modify input sheet
Created in NX1847.0.0. More...
 
NXOpen::ExpressionRadiusReductionPercent ()
 Returns the radius reduction percent
Created in NX1847.0.0. More...
 
NXOpen::ExpressionRegionToDeformOffset ()
 Returns the region boundary offset
Created in NX1847.0.0. More...
 
NXOpen::ExpressionRotationAngle ()
 Returns the rotation angle value
Created in NX1847.0.0. More...
 
bool RotationAngleReverseDirection ()
 Returns the rotation angle reverse direction
Created in NX1847.0.0. More...
 
NXOpen::ExpressionRotationDistance ()
 Returns the rotation distance value
Created in NX1847.0.0. More...
 
NXOpen::SectionRotationTargetCurve ()
 Returns the rotation target curve
Created in NX1847.0.0. More...
 
NXOpen::SectionSecondRegionLimitCurve ()
 Returns the second region limit curve
Created in NX1847.0.0. More...
 
NXOpen::ScCollectorSecondRegionOffsetCurve ()
 Returns the second region offset curve
Created in NX1847.0.0. More...
 
NXOpen::ScCollectorSecondTargetCurve ()
 Returns the second target curve
Created in NX1847.0.0. More...
 
NXOpen::ExpressionSecondTargetCurveOffset ()
 Returns the second target curve offset
Created in NX1847.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance
Created in NX1847.0.0. More...
 
void SetBaseCurve (NXOpen::Section *baseCurve)
 Sets the base curve
Created in NX1847.0.0. More...
 
void SetBendFaces (NXOpen::ScCollector *bendFaces)
 Sets the bend faces
Created in NX1847.0.0. More...
 
void SetControlCurve (NXOpen::Section *controlCurve)
 Sets the control curve
Created in NX1847.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX1847.0.0. More...
 
void SetFirstRegionLimitCurve (NXOpen::Section *firstRegionLimitCurve)
 Sets the first region limit curve
Created in NX1847.0.0. More...
 
void SetFirstRegionOffsetCurve (NXOpen::ScCollector *firstRegionOffsetCurve)
 Sets the first region offset curve
Created in NX1847.0.0. More...
 
void SetIterationCount (int iterationCount)
 Sets the maximum iterations count used for approximating the deformed sheet. More...
 
void SetKeepBaseLength (bool keepBaseLength)
 Sets the equal arc length toggle
Created in NX1847.0.0. More...
 
void SetModifyInputSheet (bool modifyInputSheet)
 Sets the modify input sheet
Created in NX1847.0.0. More...
 
void SetRotationAngleReverseDirection (bool rotationAngleReverseDirection)
 Sets the rotation angle reverse direction
Created in NX1847.0.0. More...
 
void SetSecondRegionLimitCurve (NXOpen::Section *secondRegionLimitCurve)
 Sets the second region limit curve
Created in NX1847.0.0. More...
 
void SetSecondRegionOffsetCurve (NXOpen::ScCollector *secondRegionOffsetCurve)
 Sets the second region offset curve
Created in NX1847.0.0. More...
 
void SetSheetToDeform (NXOpen::ScCollector *sheetToDeform)
 Sets the sheet to deform
Created in NX1847.0.0. More...
 
void SetStartLocation (NXOpen::GeometricUtilities::OnPathDimensionBuilder *startLocation)
 Sets the start location of control curve
Created in NX1847.0.0. More...
 
void SetStretchDirection (NXOpen::Direction *stretchDirection)
 Sets the stretch direction
Created in NX1847.0.0. More...
 
void SetTargetCurveOffsetType (NXOpen::Features::GlobalShapingBuilder::OffsetMethod targetCurveOffsetType)
 Sets the target curve offset type
Created in NX1847.0.0. More...
 
void SetTargetPoint (NXOpen::Point *targetPoint)
 Sets the target point
Created in NX1847.0.0. More...
 
void SetTransitionOptions (NXOpen::Features::GlobalShapingBuilder::TransitionType transitionOptions)
 Sets the transition options
Created in NX1847.0.0. More...
 
void SetTransitionShapeControl (double transitionShapeControl)
 Sets the transition shape control
Created in NX1847.0.0. More...
 
void SetUnformType (NXOpen::Tooling::FreeformUnformBuilder::UnformTypes bendType)
 Sets the bend type
Created in NX1847.0.0. More...
 
NXOpen::ScCollectorSheetToDeform ()
 Returns the sheet to deform
Created in NX1847.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderStartLocation ()
 Returns the start location of control curve
Created in NX1847.0.0. More...
 
NXOpen::DirectionStretchDirection ()
 Returns the stretch direction
Created in NX1847.0.0. More...
 
NXOpen::ExpressionTaperEnd ()
 Returns the taper end. More...
 
NXOpen::ExpressionTaperStart ()
 Returns the taper start. More...
 
NXOpen::SectionTargetCurve ()
 Returns the target curve
Created in NX1847.0.0. More...
 
NXOpen::ExpressionTargetCurveOffset ()
 Returns the target curve offset
Created in NX1847.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::OffsetMethod TargetCurveOffsetType ()
 Returns the target curve offset type
Created in NX1847.0.0. More...
 
NXOpen::PointTargetPoint ()
 Returns the target point
Created in NX1847.0.0. More...
 
NXOpen::ExpressionTargetPointOffset ()
 Returns the target point offset
Created in NX1847.0.0. More...
 
NXOpen::ScCollectorTargetSheet ()
 Returns the target sheet
Created in NX1847.0.0. More...
 
NXOpen::Features::GlobalShapingBuilder::TransitionType TransitionOptions ()
 Returns the transition options
Created in NX1847.0.0. More...
 
double TransitionShapeControl ()
 Returns the transition shape control
Created in NX1847.0.0. More...
 
NXOpen::Tooling::FreeformUnformBuilder::UnformTypes UnformType ()
 Returns the bend type
Created in NX1847.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::FreeformUnformBuilder builder.


To create a new instance of this class, use NXOpen::Features::ToolingCollection::CreateFreeformUnformBuilder

Created in NX1847.0.0.

Member Enumeration Documentation

Represent sheet deformation type.

Enumerator
DeformBodyTypeSheetBodies 

Sheet bodies.

DeformBodyTypeFacetBodies 

Facet bodies.

Represents the direction method type.

Enumerator
DirectionMethodTypeSameAsProjection 

Overcrown is same as projection direction.

DirectionMethodTypeNormalToSheet 

Overcrown is normal to sheet.

DirectionMethodTypeNormalToBase 

Overcrown is normal to base surface.

DirectionMethodTypeNormalToControl 

Overcrown is normal to control surface.

DirectionMethodTypeSpecifiedDirection 

Overcrown is user specified direction.

DirectionMethodTypeNone 

Overcrown has no direction specified.

Represents the rotation method type.

Enumerator
RotationMethodConstant 

Constant anlge rotation.

RotationMethodLawControlled 

Law controlled rotation.

RotationMethodCurveDefined 

Curve interpolated rotation.

Represents the rotation type.

Enumerator
RotationMethodTypeAngle 

Rotation specified by angle.

RotationMethodTypeDistance 

Rotation specified by distance.

The types of bend.

Enumerator
UnformTypesByCurve 

unform by curve type

UnformTypesOverBend 

unform by over bend type

Member Function Documentation

double NXOpen::Tooling::FreeformUnformBuilder::AngleTolerance ( )

Returns the angle tolerance
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Tooling::FreeformUnformBuilder::BaseCurve ( )

Returns the base curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Tooling::FreeformUnformBuilder::BendCurve ( )

Returns the bend curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Tooling::FreeformUnformBuilder::BendFaces ( )

Returns the bend faces
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Tooling::FreeformUnformBuilder::ControlCurve ( )

Returns the control curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Tooling::FreeformUnformBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Tooling::FreeformUnformBuilder::FirstRegionLimitCurve ( )

Returns the first region limit curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Tooling::FreeformUnformBuilder::FirstRegionOffsetCurve ( )

Returns the first region offset curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Tooling::FreeformUnformBuilder::FirstTargetCurve ( )

Returns the first target curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::FirstTargetCurveOffset ( )

Returns the first target curve offset
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

int NXOpen::Tooling::FreeformUnformBuilder::IterationCount ( )

Returns the maximum iterations count used for approximating the deformed sheet.


Created in NX1847.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::FreeformUnformBuilder::KeepBaseLength ( )

Returns the equal arc length toggle
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::FreeformUnformBuilder::ModifyInputSheet ( )

Returns the modify input sheet
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::RadiusReductionPercent ( )

Returns the radius reduction percent
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::RegionToDeformOffset ( )

Returns the region boundary offset
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::RotationAngle ( )

Returns the rotation angle value
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::FreeformUnformBuilder::RotationAngleReverseDirection ( )

Returns the rotation angle reverse direction
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::RotationDistance ( )

Returns the rotation distance value
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Tooling::FreeformUnformBuilder::RotationTargetCurve ( )

Returns the rotation target curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Tooling::FreeformUnformBuilder::SecondRegionLimitCurve ( )

Returns the second region limit curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Tooling::FreeformUnformBuilder::SecondRegionOffsetCurve ( )

Returns the second region offset curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Tooling::FreeformUnformBuilder::SecondTargetCurve ( )

Returns the second target curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::SecondTargetCurveOffset ( )

Returns the second target curve offset
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::FreeformUnformBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
angleToleranceangletolerance
void NXOpen::Tooling::FreeformUnformBuilder::SetBaseCurve ( NXOpen::Section baseCurve)

Sets the base curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
baseCurvebasecurve
void NXOpen::Tooling::FreeformUnformBuilder::SetBendFaces ( NXOpen::ScCollector bendFaces)

Sets the bend faces
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
bendFacesbendfaces
void NXOpen::Tooling::FreeformUnformBuilder::SetControlCurve ( NXOpen::Section controlCurve)

Sets the control curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
controlCurvecontrolcurve
void NXOpen::Tooling::FreeformUnformBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Tooling::FreeformUnformBuilder::SetFirstRegionLimitCurve ( NXOpen::Section firstRegionLimitCurve)

Sets the first region limit curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
firstRegionLimitCurvefirstregionlimitcurve
void NXOpen::Tooling::FreeformUnformBuilder::SetFirstRegionOffsetCurve ( NXOpen::ScCollector firstRegionOffsetCurve)

Sets the first region offset curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
firstRegionOffsetCurvefirstregionoffsetcurve
void NXOpen::Tooling::FreeformUnformBuilder::SetIterationCount ( int  iterationCount)

Sets the maximum iterations count used for approximating the deformed sheet.


Created in NX1847.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
iterationCountiterationcount
void NXOpen::Tooling::FreeformUnformBuilder::SetKeepBaseLength ( bool  keepBaseLength)

Sets the equal arc length toggle
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
keepBaseLengthkeepbaselength
void NXOpen::Tooling::FreeformUnformBuilder::SetModifyInputSheet ( bool  modifyInputSheet)

Sets the modify input sheet
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
modifyInputSheetmodifyinputsheet
void NXOpen::Tooling::FreeformUnformBuilder::SetRotationAngleReverseDirection ( bool  rotationAngleReverseDirection)

Sets the rotation angle reverse direction
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
rotationAngleReverseDirectionrotationanglereversedirection
void NXOpen::Tooling::FreeformUnformBuilder::SetSecondRegionLimitCurve ( NXOpen::Section secondRegionLimitCurve)

Sets the second region limit curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
secondRegionLimitCurvesecondregionlimitcurve
void NXOpen::Tooling::FreeformUnformBuilder::SetSecondRegionOffsetCurve ( NXOpen::ScCollector secondRegionOffsetCurve)

Sets the second region offset curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
secondRegionOffsetCurvesecondregionoffsetcurve
void NXOpen::Tooling::FreeformUnformBuilder::SetSheetToDeform ( NXOpen::ScCollector sheetToDeform)

Sets the sheet to deform
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sheetToDeformsheettodeform
void NXOpen::Tooling::FreeformUnformBuilder::SetStartLocation ( NXOpen::GeometricUtilities::OnPathDimensionBuilder startLocation)

Sets the start location of control curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
startLocationstartlocation
void NXOpen::Tooling::FreeformUnformBuilder::SetStretchDirection ( NXOpen::Direction stretchDirection)

Sets the stretch direction
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
stretchDirectionstretchdirection
void NXOpen::Tooling::FreeformUnformBuilder::SetTargetCurveOffsetType ( NXOpen::Features::GlobalShapingBuilder::OffsetMethod  targetCurveOffsetType)

Sets the target curve offset type
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
targetCurveOffsetTypetargetcurveoffsettype
void NXOpen::Tooling::FreeformUnformBuilder::SetTargetPoint ( NXOpen::Point targetPoint)

Sets the target point
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
targetPointtargetpoint
void NXOpen::Tooling::FreeformUnformBuilder::SetTransitionOptions ( NXOpen::Features::GlobalShapingBuilder::TransitionType  transitionOptions)

Sets the transition options
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
transitionOptionstransitionoptions
void NXOpen::Tooling::FreeformUnformBuilder::SetTransitionShapeControl ( double  transitionShapeControl)

Sets the transition shape control
Created in NX1847.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
transitionShapeControltransitionshapecontrol
void NXOpen::Tooling::FreeformUnformBuilder::SetUnformType ( NXOpen::Tooling::FreeformUnformBuilder::UnformTypes  bendType)

Sets the bend type
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
bendTypebendtype
NXOpen::ScCollector* NXOpen::Tooling::FreeformUnformBuilder::SheetToDeform ( )

Returns the sheet to deform
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Tooling::FreeformUnformBuilder::StartLocation ( )

Returns the start location of control curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Direction* NXOpen::Tooling::FreeformUnformBuilder::StretchDirection ( )

Returns the stretch direction
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::TaperEnd ( )

Returns the taper end.

Distance at the end to apply the taper.
Created in NX1847.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::TaperStart ( )

Returns the taper start.

Distance at the start to apply the taper.
Created in NX1847.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Tooling::FreeformUnformBuilder::TargetCurve ( )

Returns the target curve
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::TargetCurveOffset ( )

Returns the target curve offset
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Features::GlobalShapingBuilder::OffsetMethod NXOpen::Tooling::FreeformUnformBuilder::TargetCurveOffsetType ( )

Returns the target curve offset type
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Point* NXOpen::Tooling::FreeformUnformBuilder::TargetPoint ( )

Returns the target point
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::FreeformUnformBuilder::TargetPointOffset ( )

Returns the target point offset
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Tooling::FreeformUnformBuilder::TargetSheet ( )

Returns the target sheet
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Features::GlobalShapingBuilder::TransitionType NXOpen::Tooling::FreeformUnformBuilder::TransitionOptions ( )

Returns the transition options
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Tooling::FreeformUnformBuilder::TransitionShapeControl ( )

Returns the transition shape control
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Tooling::FreeformUnformBuilder::UnformTypes NXOpen::Tooling::FreeformUnformBuilder::UnformType ( )

Returns the bend type
Created in NX1847.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.